
From: "Luis R. Rodriguez" <mcgrof@studorgs.rutgers.edu>

2004-05-20	Aurelien Alleaume <slts@free.fr>

- islpci_eth.c : use dev_kfree_skb_irq instead of dev_kfree_skb where
  needed.

- isl_ioctl.c : report channel instead of frequency in scan.

- islpci_hotplug.c : bump version to 1.2

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/prism54/isl_ioctl.c      |    6 +++---
 25-akpm/drivers/net/wireless/prism54/islpci_eth.c     |    8 ++++----
 25-akpm/drivers/net/wireless/prism54/islpci_hotplug.c |    4 ++--
 3 files changed, 9 insertions(+), 9 deletions(-)

diff -puN drivers/net/wireless/prism54/isl_ioctl.c~prism54-fix-channel-stats-bump-to-12 drivers/net/wireless/prism54/isl_ioctl.c
--- 25/drivers/net/wireless/prism54/isl_ioctl.c~prism54-fix-channel-stats-bump-to-12	Wed May 26 16:17:27 2004
+++ 25-akpm/drivers/net/wireless/prism54/isl_ioctl.c	Wed May 26 16:17:27 2004
@@ -1,4 +1,4 @@
-/*  $Header: /var/lib/cvs/prism54-ng/ksrc/isl_ioctl.c,v 1.153 2004/04/22 12:20:39 ajfa Exp $
+/*  $Header: /var/lib/cvs/prism54-ng/ksrc/isl_ioctl.c,v 1.154 2004/05/20 06:24:11 ajfa Exp $
  *  
  *  Copyright (C) 2002 Intersil Americas Inc.
  *            (C) 2003,2004 Aurelien Alleaume <slts@free.fr>
@@ -629,8 +629,8 @@ prism54_translate_bss(struct net_device 
 	current_ev = iwe_stream_add_point(current_ev, end_buf, &iwe, NULL);
 
 	/* Add frequency. (short) bss->channel is the frequency in MHz */
-	iwe.u.freq.m = bss->channel;
-	iwe.u.freq.e = 6;
+	iwe.u.freq.m = channel_of_freq(bss->channel);
+	iwe.u.freq.e = 0;
 	iwe.cmd = SIOCGIWFREQ;
 	current_ev =
 	    iwe_stream_add_event(current_ev, end_buf, &iwe, IW_EV_FREQ_LEN);
diff -puN drivers/net/wireless/prism54/islpci_eth.c~prism54-fix-channel-stats-bump-to-12 drivers/net/wireless/prism54/islpci_eth.c
--- 25/drivers/net/wireless/prism54/islpci_eth.c~prism54-fix-channel-stats-bump-to-12	Wed May 26 16:17:27 2004
+++ 25-akpm/drivers/net/wireless/prism54/islpci_eth.c	Wed May 26 16:17:27 2004
@@ -1,4 +1,4 @@
-/*  $Header: /var/lib/cvs/prism54-ng/ksrc/islpci_eth.c,v 1.36 2004/04/26 10:09:58 msw Exp $
+/*  $Header: /var/lib/cvs/prism54-ng/ksrc/islpci_eth.c,v 1.37 2004/05/20 06:24:12 ajfa Exp $
  *  
  *  Copyright (C) 2002 Intersil Americas Inc.
  *  Copyright (C) 2004 Aurelien Alleaume <slts@free.fr>
@@ -275,7 +275,7 @@ islpci_monitor_rx(islpci_private *priv, 
 									 avs_80211_1_header),
 								 0, GFP_ATOMIC);
 			if (newskb) {
-				kfree_skb(*skb);
+				dev_kfree_skb_irq(*skb);
 				*skb = newskb;
 			} else
 				return -1;
@@ -419,7 +419,7 @@ islpci_eth_receive(islpci_private *priv)
 	     skb->data[4], skb->data[5]);
 #endif
 	if (unlikely(discard)) {
-		dev_kfree_skb(skb);
+		dev_kfree_skb_irq(skb);
 		skb = NULL;
 	} else
 		netif_rx(skb);
@@ -462,7 +462,7 @@ islpci_eth_receive(islpci_private *priv)
 			      "Error mapping DMA address\n");
 
 			/* free the skbuf structure before aborting */
-			dev_kfree_skb((struct sk_buff *) skb);
+			dev_kfree_skb_irq((struct sk_buff *) skb);
 			skb = NULL;
 			break;
 		}
diff -puN drivers/net/wireless/prism54/islpci_hotplug.c~prism54-fix-channel-stats-bump-to-12 drivers/net/wireless/prism54/islpci_hotplug.c
--- 25/drivers/net/wireless/prism54/islpci_hotplug.c~prism54-fix-channel-stats-bump-to-12	Wed May 26 16:17:27 2004
+++ 25-akpm/drivers/net/wireless/prism54/islpci_hotplug.c	Wed May 26 16:17:27 2004
@@ -1,4 +1,4 @@
-/*  $Header: /var/lib/cvs/prism54-ng/ksrc/islpci_hotplug.c,v 1.59 2004/03/20 16:58:36 mcgrof Exp $
+/*  $Header: /var/lib/cvs/prism54-ng/ksrc/islpci_hotplug.c,v 1.60 2004/05/13 13:19:47 msw Exp $
  *  
  *  Copyright (C) 2002 Intersil Americas Inc.
  *  Copyright (C) 2003 Herbert Valerio Riedel <hvr@gnu.org>
@@ -30,7 +30,7 @@
 #include "isl_oid.h"
 
 #define DRV_NAME	"prism54"
-#define DRV_VERSION	"1.1"
+#define DRV_VERSION	"1.2"
 
 MODULE_AUTHOR("[Intersil] R.Bastings and W.Termorshuizen, The prism54.org Development Team <prism54-devel@prism54.org>");
 MODULE_DESCRIPTION("The Prism54 802.11 Wireless LAN adapter");
_
